From 235b925df7e1bb82d98f1ac8c02e8f85d0a54ee9 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Martin=20D=C3=B8rum?= <martid0311@gmail.com>
Date: Wed, 14 Oct 2020 23:12:27 +0200
Subject: [PATCH] Fix a potential use-after-free

---
 main.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/main.c b/main.c
index bbe0e43f..2624f743 100644
--- a/main.c
+++ b/main.c
@@ -102,6 +102,8 @@ static void destroy_surface(struct swaylock_surface *surface) {
 	}
 	destroy_buffer(&surface->buffers[0]);
 	destroy_buffer(&surface->buffers[1]);
+	destroy_buffer(&surface->indicator_buffers[0]);
+	destroy_buffer(&surface->indicator_buffers[1]);
 	wl_output_destroy(surface->output);
 	free(surface);
 }
